Page MenuHomePhabricator

[PowerPC] Add accumulator register class and instructions
ClosedPublic

Authored by bsaleil on Jul 29 2020, 7:17 AM.

Details

Summary

This patch adds the xxmfacc, xxmtacc and xxsetaccz instructions to manipulate accumulator registers.
It also adds the ACC register class definition for the accumulator registers.

Depends on D84359

Diff Detail

Event Timeline

bsaleil created this revision.Jul 29 2020, 7:17 AM
bsaleil requested review of this revision.Jul 29 2020, 7:17 AM
bsaleil added a reviewer: Restricted Project.Jul 29 2020, 7:17 AM
bsaleil edited the summary of this revision. (Show Details)
bsaleil updated this revision to Diff 281668.Jul 29 2020, 10:53 AM

Fix missing break in switch case

bsaleil updated this revision to Diff 290566.Sep 8 2020, 12:43 PM

Rebase so the patch can be applied to latest master

lei accepted this revision.Sep 17 2020, 3:13 PM

LGTM

llvm/lib/Target/PowerPC/PPCRegisterInfo.h
156

nit:
if ( RegName[1] == 'c' && RegName[2] == 'c')

This revision is now accepted and ready to land.Sep 17 2020, 3:13 PM
amyk accepted this revision.Sep 18 2020, 11:38 AM
amyk added a subscriber: amyk.

Overall LGTM as well.

bsaleil updated this revision to Diff 294330.Sep 25 2020, 8:43 AM

Rebase & simplify if condition

This revision was landed with ongoing or failed builds.Sep 25 2020, 10:25 AM
This revision was automatically updated to reflect the committed changes.